function y = step_sample(x)
% Represents a step function defined conditionally on x as follows (just an example):
    % If x <= 0, y = 0
    % If 0 < x < 3, y = 1
    % If x>= 3, y = 5
% Checks condition on x (note: x must be scalar), and returns appropriate y
if x <= 0
    y = 0;
elseif x < 3  % Know x > 0 already, if made it here, so don't need to recheck
    y = 1;
else  % Again, know x >= 3, so y must be 5 
    y = 5;
end

end

% Note:  can chain as many elseifs as you want
% And the trailing else is not necessary, but your function may not be defined if not "caught" by one of the elseifs